English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Python Tools

The Python SDK includes the complete code for the Python service APIs, a development web server tool for testing your application on your local computer, and a tool for uploading your files and interacting with your app on App Engine. This section describes these tools and your app's configuration files. This section also contains overview and reference information for other tools and libraries for developing Python apps, including the webapp web application framework.

This guide contains the following sections:

- Development Server
- Uploading and Managing an App
- Uploading and Downloading Data
- ProtoRPC
  - Overview
  - Definition Module
  - Descriptor Module
    - DescriptorLibrary Functions
    - Functions
  - Messages Module
    - Enum
    - EnumField
    - Field
    - Message Field Classes
    - Message
    - MessageField
    - Variant
    - Functions
    - Exceptions
  - Remote Service Library
    - Overview
    - HttpRequestState Class
    - RequestState Class
    - RpcStatus Class
    - Service Class
    - Functions
    - Exceptions
  - Transport Library
    - HttpTransport Class
    - Transport Class
  - WebApp Service Handlers
    - Overview
    - WebApp Service Handlers
- webapp Framework
  - Overview
  - Running the Application
  - Request Handlers
  - Request Data
  - Building the Response
  - Redirects, Headers and Status Codes
  - Blobstore Handlers
  - Reference
    - Request
    - Response
    - RequestHandler
    - WSGIApplication
    - Utility Functions
- Local Unit Testing
- Appstats
- Included Libraries (Python 2.5)
- Included Libraries(Python 2.7)
- Python Module Configuration